<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: adconversionjs.php 1071 2004-12-03 10:04:18Z andrew $
*/

// Figure out our location
define ('phpAds_path', '.');

/*-------------------------------------------------------*/
/* Include required files                                */
/*-------------------------------------------------------*/

require_once phpAds_path . '/config.inc.php'; 
if ($phpAds_config['benchmark'] == 'true') {
    require_once(phpAds_path . '/libraries/pear/Benchmark/Timer.php');
    $timer = new Benchmark_Timer();
    $timer->start();
}
require_once phpAds_path . '/libraries/lib-view-main.inc.php';
require_once phpAds_path . '/libraries/lib-io.inc.php';
require_once phpAds_path . '/libraries/lib-log.inc.php';
require_once phpAds_path . '/libraries/lib-remotehost.inc.php';
require_once phpAds_path . '/libraries/lib-db.inc.php';

/*-------------------------------------------------------*/
/* Register input variables                              */
/*-------------------------------------------------------*/

phpAds_registerGlobal (
	 'block'
	,'capping'
	,'session_capping'
	,'trackerid'
);


/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

// Determine the user ID
$userid = phpAds_getUniqueUserID(false);
$conversionsid = NULL;
$variables_script = '';

header("Content-type: application/x-javascript");

// Log the tracker impression
$logVars = false;
if (!phpAds_isConversionBlocked($trackerid)) {
    if ($phpAds_config['log_tracker_impressions']) {
        $conversionInfo = logTrackerImpression($userid, $trackerid);
        // Generate code required to send variable values to the {$phpAds_config['file']['conversionvars']} script
        $variablesScript = MAX_buildJavascriptVariablesScript($trackerid, $conversionInfo);
        $logVars = true;
    }	
    // Send block cookies
    phpAds_updateConversionBlockTime($trackerid);
}
phpAds_updateGeotracking($phpAds_geo);
phpAds_flushCookie ();
// Write the code for seding the variable values
if ($logVars) {
    echo "$variablesScript";
}
if ($phpAds_config['benchmark']) {
    $timer->stop();
    logBenchmark(basename($_SERVER['SCRIPT_FILENAME']), $_SERVER['QUERY_STRING'], $timer->timeElapsed());
}
?>