<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: TableCore.php 866 2004-11-10 14:56:50Z andrew $
*/

/**
 * @package    MaxDal
 * @subpackage Table
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once maintenancePath . '/libraries/max/Dal/Table.php';

/**
 * A class for creating the core Max database tables.
 */
class Dal_Table_Core extends Dal_Table
{
    
    /**
     * The constructor method.
     *
     * @param string $file The name of the SQL file to parse for
     *                     the table definitions.
     * @uses Dal_Table::Dal_Table()
     */
    function Dal_Table_Core($file)
    {
        parent::Dal_Table($file);
    }
    
    /**
     * A singleton method to create or return a single instance
     * of the Dal_Table_Core object.
     *
     * @static
     * @return Dal_Table_Core The returned Dal_Table_Core object.
     */
    function &singleton() {
        static $instance;
        if (!isset($instance)) {
            $instance = new Dal_Table_Core(maintenancePath . '/libraries/max/Dal/table_core.sql');
        }
        return $instance;
    }
    
}

?>