<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: TableStatistics.php 866 2004-11-10 14:56:50Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage Statistics
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once maintenancePath . '/libraries/max/Dal/Table.php';

/**
 * A class for creating the temporary Max database tables required
 * for performing the maintenance statistics functions.
 */
class Maintenance_Table_Statistics extends Dal_Table
{
    
    /**
     * The constructor method.
     *
     * @param string $file The name of the SQL file to parse for
     *                     the table definitions.
     * @uses Dal_Table::Dal_Table()
     */
    function Maintenance_Table_Statistics($file)
    {
        parent::Dal_Table($file);
    }
    
    /**
     * A singleton method to create or return a single instance
     * of the Dal_Table_Maintenance_Statistics object.
     *
     * @static
     * @return Maintenance_Table_Statistics The returned
     *         Maintenance_Table_Statistics object.
     */
    function &singleton() {
        static $instance;
        if (!isset($instance)) {
            $instance = new Maintenance_Table_Statistics(maintenancePath . '/libraries/max/Maintenance/statistics.sql');
        }
        return $instance;
    }
    
}