<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: TestOfTableStatistics.php 1013 2004-11-26 11:43:27Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once maintenancePath . '/maintenance-common.php';
require_once maintenancePath . '/libraries/max/Dal.php';
require_once maintenancePath . '/libraries/max/Maintenance/TableStatistics.php';
require_once maintenancePath . '/libraries/pear/Log.php';

/**
 * A class for testing the Maintenance_Table_Statistics class.
 */
class Maintenance_TestOfTableStatistics extends UnitTestCase
{
    
    /**
     * The constructor method.
     */
    function Maintenance_TestOfTableStatistics()
    {        
        $this->UnitTestCase();
    }
    
    /**
     * Tests that the singleton() method only ever returns one
     * class instance.
     */
    function testSingleton()
    {
        debug('Running test', PEAR_LOG_DEBUG);
        $first =& Maintenance_Table_Statistics::singleton();
        $second =& Maintenance_Table_Statistics::singleton();
        $this->assertIdentical($first, $second);
    }
    
    /**
     * Tests creating/dropping all of the maintenance statistics tables.
     */
    function testAllMaintenanceStatisticsTables()
    {
        debug('Running test', PEAR_LOG_DEBUG);
        $tempTables =& Maintenance_Table_Statistics::singleton();
        $dal =& Dal::singleton();
        // Table: tmp_ad_impression
        $tempTables->createTable('tmp_ad_impression');
        $query = "SELECT COUNT(*) AS number FROM tmp_ad_impression";
        $dal->execute($query, $result);
        $row = mysql_fetch_array($result);
        $this->assertEqual($row['number'], 0);
        $tempTables->dropTempTable('tmp_ad_impression');
        // Table: tmp_ad_click
        $tempTables->createTable('tmp_ad_click');
        $query = "SELECT COUNT(*) AS number FROM tmp_ad_click";
        $dal->execute($query, $result);
        $row = mysql_fetch_array($result);
        $this->assertEqual($row['number'], 0);
        $tempTables->dropTempTable('tmp_ad_click');
        // Table: tmp_tracker_impression_ad_impression_connection
        $tempTables->createTable('tmp_tracker_impression_ad_impression_connection');
        $query = "SELECT COUNT(*) AS number FROM tmp_tracker_impression_ad_impression_connection";
        $dal->execute($query, $result);
        $row = mysql_fetch_array($result);
        $this->assertEqual($row['number'], 0);
        $tempTables->dropTempTable('tmp_tracker_impression_ad_impression_connection');
        // Table: tmp_tracker_impression_ad_click_connection
        $tempTables->createTable('tmp_tracker_impression_ad_click_connection');
        $query = "SELECT COUNT(*) AS number FROM tmp_tracker_impression_ad_click_connection";
        $dal->execute($query, $result);
        $row = mysql_fetch_array($result);
        $this->assertEqual($row['number'], 0);
        $tempTables->dropTempTable('tmp_tracker_impression_ad_click_connection');
        // Table: tmp_ad_connection
        $tempTables->createTable('tmp_ad_connection');
        $query = "SELECT COUNT(*) AS number FROM tmp_ad_connection";
        $dal->execute($query, $result);
        $row = mysql_fetch_array($result);
        $this->assertEqual($row['number'], 0);
        $tempTables->dropTempTable('tmp_ad_connection');
    }
    
}

?>